| enetnglyc

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Report N-glycosylation sites in human proteins

## Description

The NetNglyc server predicts N-Glycosylation sites in human proteins using artificial neural networks that examine the sequence context of Asn-Xaa-Ser/Thr sequons.

## Usage

Here is a sample session with enetnglyc

    % enetnglyc
    Report N-glycosylation sites in human proteins
    Input (aligned) protein sequence set: LEUK_RAT.fsa
    Output file [leuk_rat.enetnglyc]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Report N-glycosylation sites in human proteins
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-sequence]          seqset     (Aligned) protein sequence set filename and
                                      optional format, or reference (input USA)
      [-outfile]           outfile    [*.enetnglyc] Output file name

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -plot               boolean    [N] Produce graphics
       -asparagines        boolean    [N] Predict on all asparagines
       -thresholds         boolean    [N] Show additional thresholds when -plot is
                                      used

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -scircular1         boolean    Sequence is circular
       -squick1            boolean    Read id and sequence only
       -sformat1           string     Input sequence format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-sequence] (Parameter 1) | seqset | (Aligned) protein sequence set filename and optional format, or reference (input USA) | Readable set of sequences | Required
[-outfile] (Parameter 2) | outfile | Output file name | Output file | <*>.enetnglyc
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
-plot | boolean | Produce graphics | Boolean value Yes/No | No
-asparagines | boolean | Predict on all asparagines | Boolean value Yes/No | No
-thresholds | boolean | Show additional thresholds when -plot is used | Boolean value Yes/No | No
Associated qualifiers
"-sequence" associated seqset qualifiers
-sbegin1 -sbegin_sequence | integer | Start of each sequence to be used | Any integer value | 0
-send1 -send_sequence | integer | End of each sequence to be used | Any integer value | 0
-sreverse1 -sreverse_sequence | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask1 -sask_sequence | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide1 -snucleotide_sequence | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein1 -sprotein_sequence | boolean | Sequence is protein | Boolean value Yes/No | N
-slower1 -slower_sequence | boolean | Make lower case | Boolean value Yes/No | N
-supper1 -supper_sequence | boolean | Make upper case | Boolean value Yes/No | N
-scircular1 -scircular_sequence | boolean | Sequence is circular | Boolean value Yes/No | N
-squick1 -squick_sequence | boolean | Read id and sequence only | Boolean value Yes/No | N
-sformat1 -sformat_sequence | string | Input sequence format | Any string |
-iquery1 -iquery_sequence | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_sequence | integer | Input start position offset | Any integer value | 0
-sdbname1 -sdbname_sequence | string | Database name | Any string |
-sid1 -sid_sequence | string | Entryname | Any string |
-ufo1 -ufo_sequence | string | UFO features | Any string |
-fformat1 -fformat_sequence | string | Features format | Any string |
-fopenfile1 -fopenfile_sequence | string | Features file name | Any string |
"-outfile" associated outfile qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

enetnglyc reads any normal sequence USAs.

### Input files for usage example

### File: LEUK_RAT.fsa

    >LEUK_RAT P13838 LEUKOSIALIN PRECURSOR (LEUCOCYTE SIALOGLYCOPROTEIN) (SIALOPHORIN) (CD43) (W3/13 ANTIGEN) (FRAGMENT). - RATTUS NORVEGICUS (RAT).
    WAQVVSQENLPNTMTMLPFTPNSESPSTSEALSTYSSIATVPVTEDPKESISPWGQTTAP
    ASSIPLGTPELSSFFFTSAGASGNTPVPELTTSQEVSTEASLVLFPKSSGVASDPPVTIT
    NPATSSAVASTSLETFKGTSAPPVTVTSSTMTSGPFVATTVSSETSGPPVTMATGSLGPS
    KETHGLSATIATSSGESSSVAGGTPVFSTKISTTSTPNPITTVPPRPGSSGMLLVSMLIA
    LTVVLVLVALLLLWRQRQKRRTGALTLSRGGKRNGTVDAWAGPARVPDEEATTASGSGGN
    KSSGAPETDGSGQRPTLTTFFSRRKSRQGSVALEELKPGTGPNLKGEEEPLVGSEDEAVE
    TPTSDGPQAKDGAAPQSL

## Output file format

### Output files for usage example

### File: leuk_rat.enetnglyc

    # Predictions for N-Glycosylation sites in 1 sequence

    ########################################################################################

        Warning: This sequence may not contain a signal peptide!!

        Proteins without signal peptides are unlikely to be exposed to
        the N-glycosylation machinery and thus may not be glycosylated
        (in vivo) even though they contain potential motifs.

        SignalP-NN euk predictions are as follows:

      # name                Cmax  pos ?  Ymax  pos ?  Smax  pos ?  Smean ?  D     ?
      LEUK_RAT              0.112  32 N  0.088  16 N  0.362   8 N  0.119 N  0.104 N

        SignalP output is explained at http://www.cbs.dtu.dk/services/SignalP/output.html

    ########################################################################################

    Name:  LEUK_RAT 	Length:  378
    WAQVVSQENLPNTMTMLPFTPNSESPSTSEALSTYSSIATVPVTEDPKESISPWGQTTAPASSIPLGTPELSSFFFTSAG      80
    ASGNTPVPELTTSQEVSTEASLVLFPKSSGVASDPPVTITNPATSSAVASTSLETFKGTSAPPVTVTSSTMTSGPFVATT     160
    VSSETSGPPVTMATGSLGPSKETHGLSATIATSSGESSSVAGGTPVFSTKISTTSTPNPITTVPPRPGSSGMLLVSMLIA     240
    LTVVLVLVALLLLWRQRQKRRTGALTLSRGGKRNGTVDAWAGPARVPDEEATTASGSGGNKSSGAPETDGSGQRPTLTTF     320
    FSRRKSRQGSVALEELKPGTGPNLKGEEEPLVGSEDEAVETPTSDGPQAKDGAAPQSL                           400
    ................................................................................      80
    ................................................................................     160
    ................................................................................     240
    .................................N.........................N....................     320
    ..........................................................                           400

    (Threshold=0.5)
    ----------------------------------------------------------------------
    SeqName        Position      Potential          Jury          N-Glyc
    				              agreement       result
    ----------------------------------------------------------------------
    LEUK_RAT       274 NGTV		0.7323		(9/9)		  ++
    LEUK_RAT       300 NKSS		0.5404		(6/9)		   +
    ----------------------------------------------------------------------

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
enetoglyc | Reports mucin type GalNAc O-glycosylation sites in mammalian proteins
enetphos | Report Ser, Thr and Tyr phosphorylation sites in eukaryotic proteins
eprop | Report propeptide cleavage sites in proteins
esignalp | Report protein signal cleavage sites
eyinoyang | Report O-(beta)-GlcNAc attachment sites

## Author(s)

This program is an EMBOSS wrapper for a program written by the CBS group http://www.cbs.dtu.dk/index.shtml

The original CBS group application must be licensed and installed to use this wrapper.

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None